package solver

import (
	"time"
)

// A simple function to track time
// Use with `defer`
func (solver *Solver) timeTrack(start time.Time, msg string) {
	elapsed := time.Since(start)
	solver.Outp.Printf("%s (%s)\n", msg, elapsed)
}
